/* ==========================================================================
   Global CSS – Biblioteca Virtual Villel de Mesa
   Autor: Miguel López Gordo


==========================================================================
ÍNDICE
==========================================================================

1. VARIABLES
    - Paleta de colores
    - Tipografía
    - Efectos
    - Puntos de rotura

2. ESTILOS GENERALES
    - Normalización
    - BLoques de texto.
    - Encabezados.
    - Enlaces.
	  - Versalitas. 
    - Listas.
    - Imágenes.
    - Modificadores.

3. HEADER
    - Cabecera.
    - Menú Principal.
    - Menú Monografías.
    - Menú Repositorio.

4. SECCIONES
    - Contenedores primarios.
    - Banner.
    - Buscador general.
    - Tarjetas de secciones. 
	  - Destacados.
    - Ficha Repositorio.
    - Relaciones CPT.


5. BLOQUES
    - Migas de Pan.
    - Tarjeta de bucle.
    - Loop.
    - Carrusel de imágenes.
	  - Imágenes no descargables.
    - Botones.
    - Cabecera de monografías.
    - Miscelánea.

6. PIE DE PÁGINA


========================================================================== */







:root {

  /* ==========================================================================
   1. VARIABLES 
   --------------------------------------------------------------------------
   1.1. Raleta de Colores.
   ========================================================================== */

  --col-main: #4297A0;
  --col-main-light: #89BEC4;
  --col-main-dark: #598E94;
  --col-main-black: #252525;

  --col-alternative: #4268A0;
  --col-alternative-light: #E7ECF3;
  --col-alternative-dark: #16233c;

  --col-atention-light: #F3E9E7;
  --col-atention-dark: #A04B42;

  --col-gray: #bcbcbc;
  --col-gray-light: #f0f0f0;
  --col-gray-dark: #788284;

  --col-main-degraded: linear-gradient(45deg, var(--col-main-dark) 0%, var(--col-main-light) 100%);

  interpolate-size: allow-keywords;

  /* ==========================================================================
   1. VARIABLES 
   --------------------------------------------------------------------------
   1.2. Tipografía.
   ========================================================================== */

  --ff-sans: "Roboto Sans", sans-serif;
  --ff-serif: "Roboto Serif", serif;
  --ff-slab: "Roboto Slab", sans-serif;

  --fs-xsmall: 0.8rem;
  /* clamp(0.7rem, calc(0.7rem + 0.2vw), 0.8rem);*/
  --fs-small: 0.9rem;
  /* clamp(0.85rem, calc(0.85rem + 0.2vw), 0.9rem);*/
  --fs-normal: 1rem;
  /* clamp(0.85rem, calc(0.85rem + 0.2vw), 1rem);*/
  --fs-large: 1.3rem;
  /* calc(1.25rem + 0.2vw);*/
  --fs-xlarge: 1.6rem;
  /* calc(1.5rem + 0.2vw);*/

  --fw-light: 300;
  --fw-normal: 400;
  --fw-bold: 600;


  /* ==========================================================================
   1. VARIABLES 
   --------------------------------------------------------------------------
   1.3. Efectos.
   ========================================================================== */

  --ef-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
  --ef-radius: 0.3rem;


  /* ==========================================================================
   1. VARIABLES 
   --------------------------------------------------------------------------
   1.4. Puntos de rotura.
   ========================================================================== */

  --breackpoint-mobile: 480px;
  --breackpoint-tablet: 768px;
  --breackpoint-deskpot: 1024px;

}


/* ==========================================================================
   2. ESTILOS GENERALES 
   --------------------------------------------------------------------------
   2.1. Normalización.
   ========================================================================== */

html {
  font-size: 100%;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

body {
  font-family: var(--ff-sans);
  font-style: normal;
  font-weight: var(--fw-normal);
  line-height: 1.5;
  letter-spacing: 0.5px;
  text-align: left;
  color: var(--col-alternative-dark);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

}


/* ==========================================================================
   2. ESTILOS GENERALES 
   --------------------------------------------------------------------------
   2.2. BLoques de texto.
   ========================================================================== */

p {
  margin-bottom: 1.9rem;
}

p:last-of-type {
  margin-bottom: 0px;
}

blockquote {
  font-family: var(--ff-serif);
  font-size: var(--fs-small);
  padding-left: 5ch;
  margin-bottom: 1.9rem;
}

aside {
  padding: 25px;
  margin-bottom: 1.9rem;
}

aside p {
  font-size: var(--fs-small);
  margin-bottom: 1.5rem;
}

.box-info {
  background: var(--col-alternative-light);
  color: var(--col-alternative-dark);
}

.box-atention {
  background: var(--col-atention-light);
  color: var(--col-atention-dark);
}

.box-reference {
  background: var(--col-gray-light);
  color: var(--col-alternative-dark);
}

.box-corporate {
  background: var(--col-main-light);
  color: var(--col-alternative-dark);
}


/* ==========================================================================
   2. ESTILOS GENERALES 
   --------------------------------------------------------------------------
   2.3. Encabezados.
   ========================================================================== */

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--ff-slab);
  font-style: normal;
  font-weight: var(--fw-bold);
  line-height: 1.25;
  color: var(--col-alternative);
}



h1 {
  font-size: var(--fs-xlarge);
  margin: 3rem 0 1.5rem 0;
}

h2 {
  font-size: var(--fs-large);
  margin: 2.5rem 0 1.2rem 0;
}

h3,
h4 {
  font-size: var(--fs-normal);
  margin: 2rem 0 0.8rem 0;
}


h1:not(p + h1) {
  margin-top: 1rem 0;
}

h2:not(p + h2) {
  margin-top: 1rem 0;
}

h3:not(p + h2) {
  margin-top: 1rem 0;
}


.encabezado-enlace {
  font-family: var(--ff-sans);
  color: var(--col-main-dark);
  padding: 0px;
  margin: 10px 0;
}

.legal h1,
.legal h2 {
  font-family: var(--ff-sans);
  color: var(--col-alternative-dark);
}


/* ==========================================================================
   2. ESTILOS GENERALES 
   --------------------------------------------------------------------------
   2.4. Enlaces.
   ========================================================================== */

a {
  color: var(--col-alternative-dark);
  text-decoration-line: underline;
  text-decoration-color: var(--col-main-light);
  text-underline-offset: 0.18em;
  text-decoration-thickness: 2px;
  cursor: pointer;
}

a:hover {
  color: var(--col-main-dark);
}

.encabezado-enlace a {
  color: var(--col-main-dark);
  text-decoration: none;
}

/* Superíndices Repositorio 
 * se ha creado una clase específica,
 * hay que cambiar el selector a dicha clase */

sup {
  color: var(--col-main-dark);
  line-height: 1rem;
}

sup>a {
  border-radius: 3px;
  border: 1px solid var(--col-main-light);
  text-decoration: none;
  color: var(--col-main-dark);
  font-size: 0.7em;
  margin: 0px 3px 0px 3px;
  padding: 0px 5px 0px 5px;
  line-height: 1rem;
}


/* ==========================================================================
   2. ESTILOS GENERALES 
   --------------------------------------------------------------------------
   Versalitas. 
   ========================================================================== */

.versalita {
  font-size: smaller;
  font-variant: small-caps;
  text-transform: uppercase;
}


/* ==========================================================================
   2. ESTILOS GENERALES 
   --------------------------------------------------------------------------
   Listas.
   ========================================================================== */

ul {
  padding-left: 1.6em;
  margin-bottom: 1.9rem;
}

ul li {
  margin-bottom: 1rem;
}

li:last-child {
  margin-bottom: 0;
}

ul li::marker {
  content: "— ";
  color: var(--col-alternative-dark);
  font-weight: var(--fw-light);
}

.lista-emoji li::marker {
  content: "";
}

/* ==========================================================================
   2. ESTILOS GENERALES 
   --------------------------------------------------------------------------
   2.8. Imágenes.
   ========================================================================== */

img {
  max-width: 100%;
  /*para que no desborden las imágenes*/
}

figure,
.wp-block-image {
  margin: 30px 0;
}

figcaption {
  font-size: var(--fs-xsmall);
  line-height: 1rem;
  text-align: center;
  margin: 5px 0;
}

.width-figcaption {
  display: flex;
  justify-content: center;
  width: 1000px;
  max-width: 90%;
  margin: 0 auto;
}

.figcaption {
  font-size: var(--fs-xsmall);
  max-width: 900px;
  text-align: center;
  line-height: 1rem;
  text-align: center;
  margin: 5px 0 40px 0;
}


.repositrio-image {
  max-height: 300px;
  max-width: 100px;

}

.iframe-container {
  position: relative;
  width: 100%;
  padding-top: 56.25%;
  /* Relación de aspecto 16:9 */
  overflow: hidden;
  margin: 30px 0;
  z-index: 0;
}

.iframe-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

iframe {
  z-index: 0;
}


/* ==========================================================================
   2. ESTILOS GENERALES 
   --------------------------------------------------------------------------
   Modificadores.
   ========================================================================== */

.no-hyphens {
  white-space: nowrap;
}

.hidden {
  display: none;
}


/* ==========================================================================
   3. HEADER
   --------------------------------------------------------------------------
   Cabecera.
   ========================================================================== */

.cabecera {
  height: fit-content;
  text-align: center;
  background: linear-gradient(45deg, var(--col-main-dark) 0%, var(--col-main-light) 100%);
  background-size: 300% 100%;
  animation-name: degradado;
  animation-duration: 10s;
  animation-timing-function: ease;
  animation-iteration-count: infinite;
  /* Se puede agrupar con 'animation: degradado 10s ease infinite'; */
  margin-bottom: 50px;
}

@keyframes degradado {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

#imagotipo {
  width: 75%;
  max-width: 600px;
  padding: calc(1rem + 1vw);
}


/* ==========================================================================
   3. HEADER
   --------------------------------------------------------------------------
   Menú Principal.
   ========================================================================== */

.icon-main-menu {
  width: calc(2rem - 0vw);
  margin: 0px 9px;
}

.icon-main-menu:hover {
  filter: drop-shadow(0px 0px 6px white);
  border-radius: 50%;
}

.flex-row-menu {
  height: 50px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-content: center;
  align-items: center;
  border-top: 1px solid var(--col-main-light);
  background: linear-gradient(45deg, var(--col-main-dark) 50%, var(--col-main-light) 100%);
  /*background-color: var(--col-main);*/
  padding-top: 3px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  z-index: 99;
  position: absolute;
  width: 100%;
}

.fixed-main-menu {
  position: fixed;
  top: 0;
  width: 100%;
  margin-bottom: 50px;
}


/* ==========================================================================
   3. HEADER
   --------------------------------------------------------------------------
   Menú Monografías.
   ========================================================================== */

@scope (#menu-monografia) {

.nav-monografia {
  display: flex;
  justify-content: start;
  position: relative;
  width: 100%;
  background: var(--col-alternative-light);
  box-shadow: var(--ef-shadow);
  height: 30px;
  padding: 10px 20px;
  z-index: 99;
}

.fixed-monografias-menu {
  position: fixed;
  top: 50px;
  width: 100%;
}

.toggle-btn {
  position: inline;
  display: flex;
  align-items: center;
  justify-content: start;
  width: calc(2rem - 0.2vw);
  cursor: pointer;
}

.submenu-titulo {
  color: var(--col-main-dark);
  font-weight: var(--fw-bold);
  font-size: var(--fs-small);
  transition: 0.5s;
  text-transform: uppercase;
}

.toggle-btn .close-btn {
  display: none;
}

.nav-monografia.active .menu-btn {
  display: none;
}

.nav-monografia.active .close-btn {
  display: inline;
}

.menu-monografias-container {
  position: absolute;
  right: 0;
  top: 0;
  width: 100%;
  overflow: auto;
  pointer-events: none;
  display: none;
  transition: 0.5s;
}

.nav-monografia.active .menu-monografias-container {
  display: inline;
  top: 30px;
  pointer-events: initial;
  box-shadow: var(--ef-shadow);
}

.menu-monografias-container::-webkit-scrollbar {
  width: 0;
}

/* ul principal */
.menu {
  background: rgba(255, 255, 255, 0.98);
  list-style: none;
  margin-left: 0;
}

.menu>li>a {
  background: none;
  color: var(--col-main-dark);
  font-size: var(--fs-normal);
  padding: 0.8rem 2rem;
  display: flex;
  align-items: center;
  justify-content: start;
  transition: 0.5s;
  text-decoration: none;
}

.sub-menu {
  overflow: hidden;
  transition: 0.5s;
  list-style: none;
  display: none;
  padding-left: 15px;
}

.sub-menu>li>a {
  padding: 0.8rem 2.5rem;
  background: transparent;
  color: var(--col-main-dark);
  display: flex;
  align-items: center;
  gap: 0.5rem;
  transition: 0.5s;
  border-left: 2px solid var(--col-gray);
  text-decoration: none;
}

.sub-menu-level-1>li>a {
  padding: 0.5rem;
  margin: 0 0 0 2rem;
}

.sub-menu-level-2>li>a {
  padding: 0.5rem;
  margin: 0 0 0 3rem;
}

.menu>li>a:hover,
.sub-menu-level-1>li>a:hover,
.sub-menu-level-2>li>a:hover {
  background: var(--col-main-light);
  color: white;
}


.sub-menu.open {
  display: block;
}

.menu-item-has-children>a::before {
  content: "›";
  transform: rotate(90deg);
  float: right;
  font-size: var(font-size-small);
  margin: 0 5px;
}

.menu-item-has-children.open>a::before {
  content: "›";
  transform: rotate(-90deg);
  float: right;
  font-size: var(font-size-small);
  margin: 0 5px;
}


@media (min-width: 800px) {
  .menu {
    height: 100vh;
    width: 500px;
  }

}
	
}

/* ==========================================================================
   3. HEADER
   --------------------------------------------------------------------------
   Menú Repositorio.
   ========================================================================== */


.contenedor-taxonomias {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
  gap: 0px 32px;
  padding: 32px 0;
}


.desplegable-repositorio summary {
  padding: 5px 0;
  cursor: pointer;
}

.desplegable-repositorio[open] summary {
  padding: 5px 0;
  cursor: pointer;
  border-bottom: solid 1px var(--col-gray);
}

.desplegable-repositorio summary::marker {
  content: "☰ ";
  display: inline-block;
  font-size: 1.2rem;
}

.desplegable-repositorio[open] summary::marker {
  content: "✕ ";
  font-size: 1.2rem;
}

.combo-taxonomia {
  width: 100%;
  height: 1.5rem;
  font-size: var(--fs-xsmall);
  color: var(--col-gray-dark);
  background-color: #fff;
  border: 1px solid var(--col-gray);
  border-radius: var(--ef-radius);
  margin-bottom: 16px;
  padding: 0 1ch;
}

.combo-taxonomia-list {
  width: 100%;
  list-style: none;
  height: 128px;
  margin-top: -12px;
  margin-bottom: 16px;
  padding: 0;
  overflow-y: auto;
  background-color: #fff;
  border: solid 1px var(--col-gray);
  border-radius: var(--ef-radius);
  font-size: var(--fs-xsmall);
}

.combo-taxonomia-list li {
  margin: 0;
  padding: 0 1ch;
  cursor: pointer;
}

.combo-taxonomia-list li::marker {
  content: "";
}

.combo-taxonomia-list li:hover {
  background: var(--col-alternative-light);
}


/* ==========================================================================
   4. SECCIONES
   --------------------------------------------------------------------------
   Contenedores primarios.
   ========================================================================== */

.contenedor-ancho-total {
  padding: calc(50px + 00.2vw) 0;
}

.contenedor-ancho-parcial {
  width: 1200px;
  max-width: 90%;
  margin: 0 auto;
}

.fondo-base {
  background-color: white;
  border-bottom: solid 1px var(--col-alternative-light);
}

.fondo-destacado {
  background-color: var(--col-alternative-light);
}


/* ==========================================================================
   4. SECCIONES
   --------------------------------------------------------------------------
   Banner.
   ========================================================================== */

.container-banner {
  width: 100%;
  height: calc(20vh + 10vw);
  background-image: url("https://www.villeldemesa.com/galano_files/100-galano.webp");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
}

.svg-banner {
  width: 80%;
  max-width: 600px;
  height: auto;
}

/* ==========================================================================
   4. SECCIONES
   --------------------------------------------------------------------------
   Buscador general.
   ========================================================================== */

.search-box {
  display: flex;
  justify-content: center;
  width: 100%;
  height: calc(200px + 12vw);
  background-image: url(https://www.villeldemesa.com/wp-content/uploads/IMG_20210803_111401.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
}

.search-box-light {
  display: flex;
  justify-content: center;
  width: 100%;
  height: 150px;
  background: var(--col-alternative-light);
}

.searchform {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 20px auto;
  max-width: 100%;
  padding: 10px;
}

.searchform div {
  position: relative;
  width: 600px;
}

.searchform input[type="text"] {
  width: 100%;
  padding: 12px 50px 12px 20px;
  /* Espacio adicional para el botón */
  font-size: var(--fs-normal);
  font-family: 'Roboto Serif';
  border: 1px solid var(--col-gray);
  border-radius: 7px;
  outline: none;
  transition: all 0.3s ease;
  color: var(--col-gray-dark);
  background: rgba(255, 255, 255, 0.95);
}

.searchform input[type="text"]::placeholder {
  font-size: var(--fs-small);
  font-family: 'Roboto Flex';
  font-style: oblique;
}

.searchform input[type="text"]:hover,
.searchform input[type="text"]:focus {
  border-color: val(--col-main-light);
}

.search-button {
  position: absolute;
  top: 50%;
  right: 7px;
  padding: 3px;
  transform: translateY(-50%);
  font-size: var(--fs-normal);
  color: #ffffff;
  background: linear-gradient(45deg, var(--col-main-dark) 50%, var(--col-main-light) 100%);
  border: none;
  border-radius: 7px;
  cursor: pointer;
  width: 60px;
  height: 36px;
}

.search-button svg {
  width: 100%;
  height: 100%;
}

.search-button:hover {
  background: var(--col-main);
}



/* ==========================================================================
   4. SECCIONES
   --------------------------------------------------------------------------
   Tarjetas de secciones.
   ========================================================================== */

.sections-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 32px;
}

.sections-card {
  background: #fff;
  border-radius: var(--ef-radius);
  box-shadow: var(--ef-shadow);
  overflow: hidden;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
  display: flex;
  flex-direction: column;
}

.sections-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 4px 16px rgba(0, 0, 0, 0.15);
}

.image-sections-card {
  width: 100%;
  height: auto;
  object-fit: cover;
  border-top-left-radius: var(--ef-radius);
  border-top-right-radius: var(--ef-radius);
  display: block;
}

.content-sections-card {
  padding: 16px;
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.header-sections-card {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 16px;
}

.header-sections-card img {
  height: 48px;
}

.header-sections-card h2 {
  padding: 0px;
}

.content-sections-card p {
  font-size: var(--fs-small);
  line-height: 1.5;
}

.content-sections-card li {
  list-style-type: circle;
  font-size: var(--fs-small);
}


.footer-sections-card {
  display: flex;
  justify-content: flex-end;
  margin-top: auto;
}

.footer-sections-card a {
  font-weight: var(--fw-bold);
  color: var(--col-main-dark);
  text-decoration: none;
}




/* ==========================================================================
   4. SECCIONES
   --------------------------------------------------------------------------
   Destacados.
   ========================================================================== */

.container-latestposts-card {
  position: relative;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-items: strech;
  width: 100%;
  height: auto;
  padding: 20px clamp(0.8rem, calc(0.1rem + 5vw), 100px);
  cursor: default;
  overflow-x: auto;
  overflow-y: hidden;
}

/* Firefox */
@media (hover: hover) {
  .container-latestposts-card {
    scrollbar-width: thin;
  }
}

/* WebKit (Chrome, Edge, Safari) */
@media (hover: hover) {
  .container-latestposts-card::-webkit-scrollbar {
    height: 8px;
  }

  .container-latestposts-card::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, .3);
    border-radius: 4px;
  }

  .container-latestposts-card::-webkit-scrollbar-track {
    background: transparent;
  }
}

.latestposts-card {
  display: flex;
  flex-direction: column;
  background: white;
  width: calc(300px + 1vw);
  height: auto;
  min-height: 420px;
  flex: 0 0 auto;
  margin: 5px 0.75rem;
  outline: none;
  border-radius: var(--ef-radius);
  overflow: hidden;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
  box-shadow: var(--ef-shadow);
}

.latestposts-falsecard {
  background: var(--col-main-degraded);
  width: calc(300px + 1vw);
  height: auto;
  min-height: 420px;
  flex: 0 0 auto;
  margin: 5px 0.75rem;
  outline: none;
  border-radius: var(--ef-radius);
  overflow: hidden;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
  box-shadow: var(--ef-shadow);
}

.latestposts-falsecard h2 {
  color: white;
}

.arrow-right {
  display: block;
  text-align: center;
  font-size: 3rem;
  animation: arrowHint 2.0s ease-in-out infinite;
  color: white;
  margin-top: 50px;
}

@keyframes arrowHint {
  0% {
    transform: translateX(0) scale(1);
    opacity: 0.6;
  }

  50% {
    transform: translateX(6px) scale(1.15);
    opacity: 1;
  }

  100% {
    transform: translateX(0) scale(1);
    opacity: 0.6;
  }
}

.latestposts-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 4px 16px rgba(0, 0, 0, 0.15);
}

.content-latestposts-card {
  display: flex;
  flex-direction: column;
  flex: 1;
  width: 100%;
  height: auto;
  padding: 1rem;
}

.latestposts-card a {
  text-decoration: none;
}

.content-latestposts-card a {
  color: var(--col-main-dark);
}

.content-latestposts-card a:hover {
  color: var(--col-main-dark);
}

.content-latestposts-card p {
  font-size: var(--fs-small);
  color: var(--col-alternative-dark);
  padding: 0px;
  margin: 10px 0;
  line-height: calc(1.2rem + 0.2vw);
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  max-width: 100%;
  height: auto;
  overflow: hidden;
  text-overflow: ellipsis;

}

.image-latestposts-card img {
  display: block;
  max-width: 100%;
  max-height: 250px;
  object-fit: cover;
  object-position: top;
  border-top-left-radius: var(--ef-radius);
  border-top-right-radius: var(--ef-radius);
}

.terms-latestposts-card {
  display: flex;
  justify-content: flex-end;
  font-size: var(--fs-xsmall);
  color: var(--col-gray-light);
}

.terms-latestposts-card span {
  font-size: var(--fs-xsmall);
  color: var(--col-alternative);
}



/* No está en las plantillas */
.truncate {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;

  max-width: 100%;
  height: auto;
  overflow: hidden;
  text-overflow: ellipsis;
}

/* ==========================================================================
   4. SECCIONES
   --------------------------------------------------------------------------
   Ficha Repositorio.
   ========================================================================== */

.width-card {
  max-width: 90%;
  margin: 0 auto;
}

.flex-row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-content: flex-start;
  align-items: center;
  border-bottom: 1px solid #D5DBDB;
}

.flex-row-nowrap {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
}


.flex-row-basic {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-content: flex-start;
  align-items: center;
}

.flex-row-right {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-end;
  align-items: center;
  gap: 0.3rem;
}

.flex-between {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  align-content: flex-start;
  align-items: center;
}

.flex-center {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-content: flex-start;
  width: 100%;
  gap: 20px;
}

.item {
  margin: 0px 3px;
}

.icon {
  fill: var(--col-alternative-dark);
}

.id {
  font-size: var(--fs-xsmall);
}

.key {
  color: var(--col-alternative-dark)
}

.value {
  color: var(--col-gray-dark);
  font-size: var(--fs-small);
}

.value a {
  border-radius: 3px;
  border: 1px solid var(--col-main-light);
  color: var(--col-main-dark);
  text-decoration: none;
  padding: 0px 6px;
  margin: 0px 3px;
}

.column {
  padding: 20px 10px;
  flex: auto;
}

.column-border {
  border: 1px solid color-mix #16233c1a (in srgb, currentColor 10%, transparent);
}

.shadow {
  box-shadow: var(--ef-shadow);
  max-width: 300px;
  max-height: 300px;
  object-fit: cover;
  object-position: center center;
}

.copy-text {
  cursor: pointer;
  text-align: right;
}

.attachment-full {
  box-shadow: var(--ef-shadow);
}

/*
.size-full {
  box-shadow: 2px 2px 10px 0px rgba(0, 0, 0, 0.5);
}
*/


/* ==========================================================================
   4. SECCIONES
   --------------------------------------------------------------------------
   Relaciones CPT.
   ========================================================================== */

.flex-relations {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-content: flex-start;
  align-items: flex-start;
  flex: auto;
}

.column-relations {
  padding: 20px;
  flex: auto;
  width: 25%;
}


/* ==========================================================================
   5. BLOQUES
   --------------------------------------------------------------------------
   Migas de Pan.
   ========================================================================== */

.breadcrumbs {
  font-size: var(font-size-xsmall);
  padding: 20px;
  color: var(--col-main-dark);
}

.breadcrumbs>a {
  color: var(--col-main-dark);
}


/* ==========================================================================
   5. BLOQUES
   --------------------------------------------------------------------------
   Tarjeta de bucle.
   ========================================================================== */

.mark {
  font-family: "Roboto Flex", sans-serif;
  font-weight: 600;
  font-style: normal;
  font-size: 16px;
  color: var(--col-alternative-dark);
}

ul.termlist li {
  display: inline;
}

.loopcard {
  display: flex;
  align-items: flex-start;
  margin: 20px auto;
  padding: 15px;
  background: #ffffff;
  border-radius: 8px;
  box-shadow: var(--ef-shadow);
  overflow: hidden;
}

.loopcard-image {
  max-width: 150px;
  max-height: 150px;
  object-fit: cover;
  border: 2px solid var(--col-alternative-light);
  border-radius: 8px;
  margin: 10px 15px 0 0;
}

.loopcard-content {
  flex: 1;
}


/* ==========================================================================
   5. BLOQUES
   --------------------------------------------------------------------------
   Loop.
   ========================================================================== */

.post-loop {
  display: flex;
  flex-direction: column;
  gap: 0rem;

}

.flex-loop-terms {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-content: flex-start;
  align-items: center;
  gap: 0 10px;
}

.flex-loop-terms p {
  font-size: var(--fs-small);
  margin: 0;
  hyphens: none;
}

.post-item {
  display: grid;
  grid-template-columns: 100px 1fr;
  gap: 1rem;
  align-items: start;
  border-top: 1px solid #D5DBDB;
  border-bottom: 1px solid #D5DBDB;
  margin-bottom: -1px;
  padding: 1rem 0;

}

.post-thumbnail img {
  width: 100px;
  height: auto;
  object-fit: cover;
  border-radius: 5px;
}

.post-content {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.post-title {
  font-family: 'Roboto Flex', sans-serif;
  font-size: var(--fs-normal);
  padding: 0px;
  margin-bottom: 3px;

}

.post-title a {
  color: var(--col-main-dark);
  text-decoration: none;
  transition: color 0.3s ease;
}

.post-title a:hover {
  color: var(--col-main-light);
  /*color: #0073aa;*/
}

.post-excerpt p {
  font-size: calc(0.8rem + 0.2vw);
  line-height: calc(1.3rem + 0.2vw);
  color: var(--col-alternative-dark);
  margin-top: 0px;
  padding-top: 5px;

}

.icon-text {
  display: flex;
  align-items: center;
  gap: 3px;
  flex-wrap: nowrap;
  color: var(--col-gray);
}

.icon-text img {
  max-width: 24px;
  height: auto;
}

.icon-text span {
  margin: 0;
  padding: 3px 0;
  line-height: 1.2rem;
  white-space: normal;
  word-wrap: break-word;
  overflow-wrap: break-word;
}

.post-categories a {
  color: #0073aa;
  text-decoration: none;
}

.post-categories a:hover {
  text-decoration: underline;
}

.pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  margin: 20px 0;
  font-size: var(--fs-xsmall);
}

.pagination a,
.pagination span {
  padding: 8px 12px;
  text-decoration: none;
  border: 1px solid var(--col-main-light);
  border-radius: 4px;
  color: var(--col-gay-dark);
}

.pagination a:hover {
  background-color: var(--col-gray-light);
  border-color: #bbb;
}

.pagination .current {
  background: var(--col-main-degraded);
  color: #fff;
  border: none;
}

.pagination .current:hover {
  background-color: var(--col-main);
  border: none;
}

.pagination .prev,
.pagination .next {
  font-weight: var(--fw-bold);
}




/* ==========================================================================
   5. BLOQUES
   --------------------------------------------------------------------------
   Carrusel de imágenes.
   ========================================================================== */

.contenedor-carrusel-imagen {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  height: auto;
  padding: 0 calc(1rem + 0.2vw);
  cursor: default;
  overflow-x: auto;
  overflow-y: hidden;
}

/* Firefox */
@media (hover: hover) {
  .contenedor-carrusel-imagen {
    scrollbar-width: thin;
  }
}

/* WebKit (Chrome, Edge, Safari) */
@media (hover: hover) {
  .contenedor-carrusel-imagen::-webkit-scrollbar {
    height: 8px;
  }

  .contenedor-carrusel-imagen::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, .3);
    border-radius: 4px;
  }

  .contenedor-carrusel-imagen::-webkit-scrollbar-track {
    background: transparent;
  }
}

.carrusel-imagen {
  display: flex;
  flex-direction: column;
  width: calc(300px + 1vw);
  height: auto;
  min-height: 200px;
  flex: 0 0 auto;
  margin: 5px 0.75rem;
  outline: none;
  overflow: hidden;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.carrusel-imagen:hover {
  transform: translateY(-5px);
}

.carrusel-imagen img {
  margin-bottom: 10px;
}

.carrusel-imagen figcaption {
padding-bottom: 10px;
border-bottom: solid 1px var(--col-gray);
}

/* ==========================================================================
   5. BLOQUES
   --------------------------------------------------------------------------
   Imágenes no descargables.
   ========================================================================== */

.embeded-image {
  margin: 20px auto;
  width: 100%;
  max-width: 1000px;
  background-size: contain;
  background-position: center;
  user-select: none;
  background-repeat: no-repeat;
  border: 1px solid var(--col-gray-light);
}

/* ==========================================================================
   5. BLOQUES
   --------------------------------------------------------------------------
   Botones.
   ========================================================================== */

.button-container {
  margin: 40px 0;
  text-align: center;
}

.button {

  background: linear-gradient(45deg, var(--col-main-dark) 50%, var(--col-main-light) 100%);
  border: none;
  border-radius: 7px;
  padding: 10px 20px;
  color: white;
  min-width: 250px;
  box-shadow: var(--ef-shadow);
}

.button:hover {
  color: white;
  background: var(--col-main);
}


/* ==========================================================================
   5. BLOQUES
   --------------------------------------------------------------------------
   Cabecera de monografías.
   ========================================================================== */

.contenedor-cabecera-monografia {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-end;
  align-content: flex-start;
  align-items: center;
  gap: 0 10px;
  margin: 10px 0px;
}

.contenedor-cabecera-monografia span {
  font-size: var(--fs-xsmall);
  color: var(--col-gray-dark);
}

.cursor-enlace {
  cursor: pointer;
}


/* ==========================================================================
   5. BLOQUES
   --------------------------------------------------------------------------
   Miscelánea.
   ========================================================================== */


/* Sección Monografías en Home */

.home-monografia-list {
  margin: 0 calc(10px + 2vw);
  font-family: 'Roboto Flex';
  font-size: calc(0.8rem + 0.2vw);
  border-top: 1px solid var(--col-alternative-light);
  border-bottom: 1px solid var(--col-alternative-light);
  margin-bottom: -1px;
}

.home-monografia-list p {
  font-size: calc(0.8rem + 0.2vw);
}




/***      ***/

.flex-box-details-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
  align-content: flex-start;
  align-items: flex-start;
  margin: 20px 0;
  /*flex: auto;*/
}

.flex-box-details {
  display: flex;
  flex: 1 1 calc((100% - 40px) / 2);
  /* Cada hijo ocupa la mitad del ancho menos el espacio */
  min-width: 300px;
  /* Tamaño mínimo para que siempre sean pares */
  max-width: 100%;
  /* Tamaño máximo para mantener la paridad */

  box-sizing: border-box;
  flex-direction: column;
  justify-content: center;
  border-radius: 0 0 7px 7px;
  box-shadow: var(--ef-shadow);
}

.image-box-details {
  height: 100px;
  border-radius: 7px 7px 0 0;
  object-fit: cover;
  filter: grayscale(100%);
  /*opacity: 50%;*/
}


.box-summary {
  background: linear-gradient(45deg, var(--col-main-dark) 50%, var(--col-main-light) 100%);
  /*height: 50px;*/
  border-radius: 0 0 7px 7px;
  color: white;
  cursor: pointer;
  position: relative;
  list-style: none;
  padding: 10px 20px;
  font-size: var(--fs-normal);

}

.box-summary:hover {
  background: var(--col-main);
}


/* Oculta el triángulo predeterminado */
summary::marker {
  display: none;
}

summary::-webkit-details-marker {
  display: none;
}

.box-summary::after {
  content: "+";
  position: absolute;
  right: 20px;
  top: 0px;
  font-size: calc(1.6rem + 0.2vw);
  transition: transform 0.3s ease;


}

.box-details[open] .box-summary::after {
  transform: rotate(45deg);
}

.box-details[open] .box-summary {
  border-radius: 0;
}

.box-details[open] {
  border-radius: 0 0 7px 7px;
  background-color: var(--col-alternative-light);

}


.material-symbols-rounded {
  font-variation-settings:
    'FILL' 0,
    'wght' 200,
    'GRAD' 0,
    'opsz' 20
}

.footer-aw {
  color: white;
  margin-right: 5px;
}


/* Cookies */
.cookie-banner {
  display: none;
  /* Oculto por defecto */
  position: fixed;
  bottom: 0;
  width: 100%;
  background-color: var(--col-alternative-light);
  color: var(--col-alternative-dark);
  padding: 15px 20px;
  text-align: center;
  font-size: var(--fs-small);
  z-index: 9999;
}

.cookie-banner a {
  color: #4CAF50;
  text-decoration: underline;
}

.cookie-banner .btn-accept {
  background-color: var(--col-main-dregaded);
  color: white;
  border: none;
  padding: 10px 20px;
  margin-left: 15px;
  cursor: pointer;
  border-radius: 5px;
  font-size: 14px;
}

.cookie-banner .btn-accept:hover {
  background-color: var(--col-main);
}

.thumbnail-repositorio {
  max-width: 300px;
  max-height: 300px;
  width: auto;
  height: auto;
}

.img-persona {
  border-radius: 50px;
}


.popup-img {
  width: 50px;
}




/************************/




/* ==========================================================================
   6. PIE DE PÁGINA
   --------------------------------------------------------------------------
   Miscelánea.
   ========================================================================== */

.footer {
  background: var(--col-main-black);
  color: white;
  padding: 60px 0;
}

.footer-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 40px;
}

.footer-container section {
  flex: 1 1 calc(50% - 40px);
  box-sizing: border-box;
}

.footer-credits {
  padding: 60px 0 0 0;
}

.footer-legal p {
  font-size: var(--fs-small);
  line-height: 1.2rem;
  padding: 0;
  margin: 2px 0;
}

.footer-legal a {
  color: white;
  text-decoration: none;
}

.footer-legal a:hover {
  color: white;
  text-decoration-style: dotted;
  text-decoration-color: white;
  text-decoration-thickness: 1px;
}

.footer-legal p:first-child {
  font-weight: var(--fw-bold);
}

.footer-credits p {
  font-size: var(--fs-xsmall);
  padding: 0;
  line-height: 1.2rem;
  margin: 2px 0;
}